Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062994 - [abrt] 0ad: CWorld::RegisterInit(): pyrogenesis killed by SIGABRT [NEEDINFO]
Summary: [abrt] 0ad: CWorld::RegisterInit(): pyrogenesis killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: 0ad
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:26e0d07caf8cf4da85eedadb7ef...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 13:42 UTC by Bastiaan Jacques
Modified: 2015-06-29 15:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:06:06 UTC
paulo.cesar.pereira.de.andrade: needinfo?


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-09 13:42 UTC, Bastiaan Jacques
no flags Details
File: core_backtrace (deleted)
2014-02-09 13:42 UTC, Bastiaan Jacques
no flags Details

Description Bastiaan Jacques 2014-02-09 13:42:23 UTC
Description of problem:
loading old savegame

Version-Release number of selected component:
0ad-0.0.15-2.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/pyrogenesis
crash_function: CWorld::RegisterInit
executable:     /usr/bin/pyrogenesis
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 CWorld::RegisterInit at ../../../source/ps/World.cpp:93
 #7 CGame::RegisterInit at ../../../source/ps/Game.cpp:167
 #8 CGame::StartGame at ../../../source/ps/Game.cpp:274
 #9 (anonymous namespace)::StartSavedGame at ../../../source/gui/scripting/ScriptFunctions.cpp:238
 #10 call<std::basic_string<wchar_t>, CScriptVal (*)(void*, std::basic_string<wchar_t>)> at ../../../source/scriptinterface/NativeWrapperDefns.h:33
 #11 ScriptInterface::call<CScriptVal, std::basic_string<wchar_t>, (anonymous namespace)::StartSavedGame> at ../../../source/scriptinterface/NativeWrapperDefns.h:103
 #12 CallJSNative at jscntxtinlines.h:701
 #13 js::Interpret at jsinterp.cpp:4799
 #14 js::RunScript at jsinterp.cpp:653
 #15 js::Invoke at jsinterp.cpp:740

Comment 1 Bastiaan Jacques 2014-02-09 13:42:28 UTC
Created attachment 861021 [details]
File: backtrace

Comment 2 Bastiaan Jacques 2014-02-09 13:42:30 UTC
Created attachment 861022 [details]
File: core_backtrace

Comment 3 Javier Jardón 2014-03-15 00:28:45 UTC
Another user experienced a similar problem:

The program exit when you join a multiplayer game and the server starts the match

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        /usr/bin/pyrogenesis
crash_function: CWorld::RegisterInit
executable:     /usr/bin/pyrogenesis
kernel:         3.13.6-200.fc20.x86_64
package:        0ad-0.0.15-2.fc20
reason:         pyrogenesis killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 4 Marcos Paulo 2014-09-09 03:11:48 UTC
Another user experienced a similar problem:

I tried to open a a saved gamer and it crashed.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/pyrogenesis
crash_function: CWorld::RegisterInit
executable:     /usr/bin/pyrogenesis
kernel:         3.15.10-200.fc20.x86_64
package:        0ad-0.0.16-2.fc20
reason:         pyrogenesis killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 5 Paulo Andrade 2014-09-13 17:38:43 UTC
Sorry for the delay on responding. The original (and likely
the similar crash should be the same) are throwing in this code:

		try
		{
			reader = new CMapReader;
			CTriggerManager* pTriggerManager = NULL;
			reader->LoadMap(mapfilename, settings, m_Terrain,
				CRenderer::IsInitialised() ? g_Renderer.GetWaterManager() : NULL,
				CRenderer::IsInitialised() ? g_Renderer.GetSkyManager() : NULL,
				&g_LightEnv, m_pGame->GetView(),
				m_pGame->GetView() ? m_pGame->GetView()->GetCinema() : NULL,
				pTriggerManager, CRenderer::IsInitialised() ? &g_Renderer.GetPostprocManager() : NULL,
				m_pGame->GetSimulation2(), &m_pGame->GetSimulation2()->GetSimContext(), playerID, false);
				// fails immediately, or registers for delay loading
		}
		catch (PSERROR_File& err)
		{
			delete reader;
			LOGERROR(L"Failed to load map %ls: %hs", mapfilename.string().c_str(), err.what());
			throw PSERROR_Game_World_MapLoadFailed("Failed to load map.\nCheck application log for details.");
		}

Can you easily reproduce the problem? If yes, can you describe
how to reproduce the crash?

It should help if you attach $HOME/.config/0ad/logs/crashlog.txt
(the last crash log), but a reproducer is way better as it makes
debugging a lot easier.

Comment 6 Fedora End Of Life 2015-05-29 10:51:44 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 15:06:06 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.